import { Component, h, State, Listen, Prop, Watch } from '@stencil/core';
export class HcLoadingBox {
  constructor() {
    this.open = true;
  }
  handleClick() {
    this.open = !this.open;
  }
  watchOpenHandler(newValue) {
    if (newValue) {
      this.message = '出門 ...';
    }
    else {
      this.message = '呆在家 ...';
    }
  }
  componentWillRender() {
    console.log('componentWillRender()');
  }
  componentDidRender() {
    console.log('componentDidRender()');
  }
  componentWillLoad() {
    console.log('componentWillLoad()');
  }
  componentDidLoad() {
    console.log('componentDidLoad()');
  }
  render() {
    console.log('render()');
    return (h("div", { class: "loadingbox" },
      h("div", { class: "centerdiv" },
        h("ul", { class: this.open ? "animate" : "no-animate" },
          h("li", null),
          h("li", null),
          h("li", null),
          h("li", null),
          h("li", null),
          h("li", null)),
        h("span", { class: "message" }, this.message))));
  }
  static get is() { return "hc-loading-box"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["hc-loading-box.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["hc-loading-box.css"]
  }; }
  static get properties() { return {
    "message": {
      "type": "string",
      "mutable": true,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "message",
      "reflect": false
    }
  }; }
  static get states() { return {
    "open": {}
  }; }
  static get watchers() { return [{
      "propName": "open",
      "methodName": "watchOpenHandler"
    }]; }
  static get listeners() { return [{
      "name": "click",
      "method": "handleClick",
      "target": undefined,
      "capture": false,
      "passive": false
    }]; }
}
