import { attachShadow, h, proxyCustomElement } from '@stencil/core/internal/client';
export { setAssetPath, setPlatformOptions } from '@stencil/core/internal/client';

const hcLoadingBoxCss = "body{font-family:monospace;font-weight:bold}body p{margin-bottom:10px}.loadingbox{position:relative;top:80%;background-color:#cece00}.loadingbox .centerdiv{height:150px;display:flex;justify-content:center;align-items:center}.loadingbox .message{text-align:center;position:relative;left:-70px;top:20px;font-size:10px;color:#fff}.loadingbox .animate{display:flex}.loadingbox .animate>li{list-style:none;height:10px;width:10px;background-color:red;margin:0 2px;border-radius:50%;animation:bounce 1s linear infinite}.loadingbox .no-animate{display:flex}.loadingbox .no-animate>li{list-style:none;height:10px;width:10px;background-color:red;margin:0 2px;border-radius:50%}@keyframes bounce{0%{transform:translateY(0px)}50%{transform:translateY(-40px)}100%{transform:translateY(0px)}}.loadingbox ul li:nth-child(1){animation-delay:0.2s;background-color:#7C33F3}.loadingbox ul li:nth-child(2){animation-delay:0.6s;background-color:#F700BA}.loadingbox ul li:nth-child(3){animation-delay:0.1s;background-color:#FF287F}.loadingbox ul li:nth-child(4){animation-delay:0.8s;background-color:#FF8152}.loadingbox ul li:nth-child(5){animation-delay:0.5s;background-color:#FFC246}.loadingbox ul li:nth-child(6){animation-delay:0.1s;background-color:#F9F871}";

const HcLoadingBox$1 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    attachShadow(this);
    this.open = true;
  }
  handleClick() {
    this.open = !this.open;
  }
  watchOpenHandler(newValue) {
    if (newValue) {
      this.message = '出門 ...';
    }
    else {
      this.message = '呆在家 ...';
    }
  }
  componentWillRender() {
    console.log('componentWillRender()');
  }
  componentDidRender() {
    console.log('componentDidRender()');
  }
  componentWillLoad() {
    console.log('componentWillLoad()');
  }
  componentDidLoad() {
    console.log('componentDidLoad()');
  }
  render() {
    console.log('render()');
    return (h("div", { class: "loadingbox" }, h("div", { class: "centerdiv" }, h("ul", { class: this.open ? "animate" : "no-animate" }, h("li", null), h("li", null), h("li", null), h("li", null), h("li", null), h("li", null)), h("span", { class: "message" }, this.message))));
  }
  static get watchers() { return {
    "open": ["watchOpenHandler"]
  }; }
  static get style() { return hcLoadingBoxCss; }
};

const HcLoadingBox = /*@__PURE__*/proxyCustomElement(HcLoadingBox$1, [1,"hc-loading-box",{"message":[1025],"open":[32]},[[0,"click","handleClick"]]]);
const defineCustomElements = (opts) => {
  if (typeof customElements !== 'undefined') {
    [
      HcLoadingBox
    ].forEach(cmp => {
      if (!customElements.get(cmp.is)) {
        customElements.define(cmp.is, cmp, opts);
      }
    });
  }
};

export { HcLoadingBox, defineCustomElements };
